%define backend local_users
%define _altdata_dir %_datadir/alterator

Name: alterator-standalone
Version: 3.0
Release: alt3

Packager: Stanislav Ievlev <inger@altlinux.org>

Source:%name-%version.tar

Summary: System Management center
License: GPL
Group: System/Configuration/Other
BuildArch: noarch
Requires: alterator >= 3.0-alt5
Requires: alterator-lookout >= 0.2-alt9
Requires: alterator-profile = %version-%release
Requires: alterator-help
Requires: alterator-browser
Requires: alterator-menu

Provides: acc
Obsoletes: acc

BuildPreReq: alterator >= 2.9-alt3

# Automatically added by buildreq on Mon Jul 11 2005 (-bi)
BuildRequires: consolehelper libpam-devel

%description
Contains engine for system management

%package usermode
Summary: usermode bindings for %name
Group: System/Configuration/Other
License: GPL
Requires: %name = %version-%release
Requires: consolehelper
Requires: menu

%description usermode
usermode bindings for %name

%package -n alterator-profile
Summary: simple profile engine for standalone and install module systems
Group: System/Configuration/Other
License: GPL
Requires: alterator >= 2.9

%description -n alterator-profile
simple profile engine

%prep
%setup -q

%build
%make_build

%install
%makeinstall DESTDIR=%buildroot
%find_lang %name

#install consolehelper
obj=alterator-standalone
%__install -d %buildroot/%_bindir
%__ln_s %_libexecdir/consolehelper/helper %buildroot%_bindir/$obj
%__install -d %buildroot%_sysconfdir/pam.d/

cat>%buildroot%_sysconfdir/pam.d/$obj<<EOF
#%PAM-1.0
auth	sufficient	pam_rootok.so
auth	required	pam_stack.so service=system-auth
account	required	pam_permit.so
password	required	pam_deny.so
session	optional	pam_xauth.so
EOF

%__install -d %buildroot%_sysconfdir/security/console.apps/
cat>%buildroot%_sysconfdir/security/console.apps/$obj<<EOF
USER=root
PROGRAM=%_sbindir/$obj
SESSION=true
FALLBACK=true
EOF

%__install -Dpm644 %name.desktop %buildroot/%_desktopdir/%name.desktop

%post
%update_menus
%postun
%clean_menus


%files -f %name.lang
%_bindir/*
%exclude %_bindir/%name
%_sbindir/*
%_altdata_dir/layouts/*
%_altdata_dir/maps/*
%_altdata_dir/ui/*/
%_altdata_dir/build/*
%exclude %_altdata_dir/ui/*/profile.scm
%_desktopdir/*

%files usermode
%config(noreplace) %_sysconfdir/pam.d/*
%config(noreplace) %_sysconfdir/security/console.apps/*
%_bindir/%name

%files -n alterator-profile
%_altdata_dir/ui/*/profile.scm
%_alterator_backend2dir/profile

%changelog
* Fri Jun 15 2007 Stanislav Ievlev <inger@altlinux.org> 3.0-alt3
- fix requires

* Thu Jun 14 2007 Stanislav Ievlev <inger@altlinux.org> 3.0-alt2
- specify ui type 'qt' for menu subsystem

* Wed Jun 13 2007 Stanislav Ievlev <inger@altlinux.org> 3.0-alt1
- switch to new menu system

* Mon Jun 04 2007 Stanislav Ievlev <inger@altlinux.org> 2.6-alt3
- use splitbox

* Thu May 31 2007 Stanislav Ievlev <inger@altlinux.org> 2.6-alt2
- ignore skip messages (will use if for GUI only interfaces)

* Wed May 30 2007 Stanislav Ievlev <inger@altlinux.org> 2.6-alt1
- rewrite:
    synchronize menu structure with html modules
    drop profiles

* Wed May 02 2007 Stanislav Ievlev <inger@altlinux.org> 2.5-alt15
- update Ukrainian translation

* Mon Apr 23 2007 Stanislav Ievlev <inger@altlinux.org> 2.5-alt14
- add Ukrainian translation

* Wed Mar 14 2007 Stanislav Ievlev <inger@altlinux.org> 2.5-alt13
- add support for 'acc-translation profile parameter

* Mon Feb 05 2007 Stanislav Ievlev <inger@altlinux.org> 2.5-alt12
- replace /std/vbox with /std/box

* Wed Jan 10 2007 Stanislav Ievlev <inger@altlinux.org> 2.5-alt11
- select profile: don't use woo-extract-name

* Fri Dec 22 2006 Stanislav Ievlev <inger@altlinux.org> 2.5-alt10
- explicit requirement for (lookout atlas) in layout

* Fri Dec 15 2006 Stanislav Ievlev <inger@altlinux.org> 2.5-alt9
- move menu dependency to usemode package

* Fri Dec 08 2006 Stanislav Ievlev <inger@altlinux.org> 2.5-alt8
- update to latest alterator

* Thu Dec 07 2006 Stanislav Ievlev <inger@altlinux.org> 2.5-alt7
- add usermode subpackage

* Tue Dec 05 2006 Stanislav Ievlev <inger@altlinux.org> 2.5-alt6
- fix args passing

* Fri Dec 01 2006 Stanislav Ievlev <inger@altlinux.org> 2.5-alt5
- add browser to requires

* Thu Nov 23 2006 Stanislav Ievlev <inger@altlinux.org> 2.5-alt4
- on start loaded event simulation

* Mon Nov 20 2006 Stanislav Ievlev <inger@altlinux.org> 2.5-alt3
- replace qtbrowser with alterator-browser-x11

* Fri Nov 10 2006 Stanislav Ievlev <inger@altlinux.org> 2.5-alt2
- /std/frame : add wizard compatible functions
- add examples
- cond-plistq in algo library now
- fix problem with parameters dropping

* Wed Nov 08 2006 Stanislav Ievlev <inger@altlinux.org> 2.5-alt1
- use native message boxes

* Tue Oct 31 2006 Stanislav Ievlev <inger@altlinux.org> 2.5-alt0.5
- update backend2 for the new alterator

* Mon Oct 16 2006 Stanislav Ievlev <inger@altlinux.org> 2.5-alt0.4
- replace command-arg-ref with woo-get-option

* Fri Sep 29 2006 Stanislav Ievlev <inger@altlinux.org> 2.5-alt0.3
- auto generate simple map
- update build system

* Wed Sep 27 2006 Stanislav Ievlev <inger@altlinux.org> 2.5-alt0.2
- rename caption to title

* Wed Sep 06 2006 Stanislav Ievlev <inger@altlinux.org> 2.5-alt0.1
- final version of desktop menu support

* Fri Sep 01 2006 Stanislav Ievlev <inger@altlinux.org> 2.4-alt0.10
- fixed layout according new rules
- create profile and desktop files during build process
- added XDG config files for alterator configurator submenu

* Fri Aug 25 2006 Stanislav Ievlev <inger@altlinux.org> 2.4-alt0.9
- fixed buttons-view cleanup
- fixed auto profile creation

* Wed Aug 23 2006 Stanislav Ievlev <inger@altlinux.org> 2.4-alt0.8
- update build system

* Tue Jun 27 2006 Stanislav Ievlev <inger@altlinux.org> 2.4-alt0.7
- updated to new lookout definition syntax

* Fri Jun 09 2006 Stanislav Ievlev <inger@altlinux.org> 2.4-alt0.6
- added support for alterator help subsystem

* Tue May 30 2006 Stanislav Ievlev <inger@altlinux.org> 2.4-alt0.5
- fixed for new alterator

* Wed May 17 2006 Stanislav Ievlev <inger@altlinux.org> 2.4-alt0.4
- fixed backend

* Mon May 15 2006 Stanislav Ievlev <inger@altlinux.org> 2.4-alt0.3
- removed unused admirals

* Wed May 10 2006 Stanislav Ievlev <inger@altlinux.org> 2.4-alt0.2
- fixed bug with dublicates in module list
- removed deprecated features
- build from git

* Tue Apr 18 2006 Stanislav Ievlev <inger@altlinux.org> 2.4-alt0.1
- now provide acc (profile with all modules)

* Tue Apr 18 2006 Stanislav Ievlev <inger@altlinux.org> 0.4-alt0.2
- added expansion of uris

* Thu Apr 13 2006 Stanislav Ievlev <inger@altlinux.org> 0.4-alt0.1
- allow to work with local profile files

* Tue Apr 04 2006 Stanislav Ievlev <inger@altlinux.org> 0.3-alt0.2
- use help-place widget

* Fri Mar 24 2006 Stanislav Ievlev <inger@altlinux.org> 0.3-alt0.1
- move /std/frame here
- replace document:link with document:insert

* Mon Feb 13 2006 Stanislav Ievlev <inger@altlinux.org> 0.2-alt0.1
- updated backend2 system

* Thu Feb 09 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt0.9
- minor fixes

* Tue Feb 07 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt0.8
- new subpackage for profile engine

* Thu Feb 02 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt0.7.1
- update to new alterator

* Wed Feb 01 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt0.7
- module changing are ready now

* Tue Jan 31 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt0.6.1
- added save facility

* Tue Jan 31 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt0.6
- edit mode improvements

* Fri Jan 27 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt0.5.1
- added tooltip demo

* Wed Jan 25 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt0.5
- first version of edit dialog

* Tue Jan 24 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt0.4
- added module loader/selector

* Mon Jan 23 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt0.3
- move to new frame scheme

* Fri Jan 20 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt0.2
- interface improvements, added russian translations

* Thu Jan 19 2006 Stanislav Ievlev <inger@altlinux.org> 0.1-alt0.1
- initial release

